Name:		grsync
Version:	1.3.1
Summary:	Synchronize files and folders (a GTK GUI for rsync)
Release:	%mkrel 3
License:	GPLv2
Group:		Networking/File transfer
URL:		https://www.opbyte.it/grsync/
Source0:	https://www.opbyte.it/release/%{name}-%{version}.tar.gz
BuildRequires:	dos2unix
BuildRequires:	gtk+3-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
Requires:	rsync
# For 'Run as superuser' option
Requires:	polkit-agent

%description
Grsync is a GUI for rsync, the command line directory
synchronization tool. While it can work with remote
hosts, its focus is to synchronize local directories.

%prep
%setup -q

# Fix EOLs
dos2unix NEWS AUTHORS README

# fix translations
sed -i -e '/ALL_LINGUAS/d' configure.ac
for i in po/*.po; do
 ii=$(basename $i)
 l=${ii:0:2}
 mv $i po/$l.po
 echo $l >> po/LINGUAS
done

%build
autoreconf -vfi
%configure \
	--disable-unity
%make_build LIBS="-lm"

%install
%make_install

# Generate and install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,32x32,16x16,128x128}/apps
convert -scale 64 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

# Desktop file
perl -p -i -e 's/grsync.png/grsync/g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Filesystem" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/grsync.xml
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-grsync-session.png
%{_datadir}/pixmaps/grsync-busy.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.3.1-3.mga10
+ Revision: 2220779
- Mageia 10 Mass Rebuild

* Tue Dec 19 2023 papoteur <papoteur> 1.3.1-2.mga10
+ Revision: 2019317
- Mass Rebuild - Python 3.12

* Wed Nov 22 2023 wally <wally> 1.3.1-1.mga10
+ Revision: 2009242
- new version 1.3.1

* Thu Mar 31 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1836848
- Mageia 9 Mass Rebuild

* Sun Nov 29 2020 wally <wally> 1.3.0-1.mga8
+ Revision: 1650149
- new version 1.3.0
- switch to gtk3

* Thu May 21 2020 wally <wally> 1.2.8-1.mga8
+ Revision: 1586672
- new version 1.2.8
- add lazy fix for gcc10 build issues (-fcommon)

* Thu Feb 13 2020 umeabot <umeabot> 1.2.6-4.mga8
+ Revision: 1512706
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.6-3.mga7
+ Revision: 1298084
- Mageia 7 Mass Rebuild

* Wed May 30 2018 wally <wally> 1.2.6-2.mga7
+ Revision: 1233151
- fix language support (mga#23098)

* Sat May 21 2016 wally <wally> 1.2.6-1.mga6
+ Revision: 1017346
- new version 1.2.6

* Mon Feb 01 2016 umeabot <umeabot> 1.2.5-4.mga6
+ Revision: 930696
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-3.mga5
+ Revision: 750825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-2.mga5
+ Revision: 679951
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 wally <wally> 1.2.5-1.mga5
+ Revision: 666595
- new version 1.2.5

* Thu Jun 19 2014 wally <wally> 1.2.4-3.mga5
+ Revision: 638142
- require polkit-agent for 'Run as superuser' option (mga#13540)

* Sat Oct 19 2013 umeabot <umeabot> 1.2.4-2.mga4
+ Revision: 529797
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 wally <wally> 1.2.4-1.mga4
+ Revision: 453421
- new version 1.2.4

* Sat Feb 23 2013 wally <wally> 1.2.3-1.mga3
+ Revision: 400043
- new version 1.2.3

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 352679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 wally <wally> 1.2.2-2.mga3
+ Revision: 309684
- fix group

* Wed Oct 24 2012 wally <wally> 1.2.2-1.mga3
+ Revision: 309669
- new version 1.2.2

* Sat Feb 11 2012 wally <wally> 1.2.1-1.mga2
+ Revision: 207206
- disable unity support
- new version 1.2.1
- drop Mdv specific category from .desktop file
- minor .spec cleanup

* Tue Oct 11 2011 wally <wally> 1.2.0-2.mga2
+ Revision: 153914
- fix desktop file (show meny entry in KDE menu, mga#2186)
- new version 1.2.0

* Sun Feb 20 2011 wally <wally> 1.1.1-2.mga1
+ Revision: 54568
- drop buildroot definition
- drop old mdv scriptlets
- imported package grsync


* Sun Aug 08 2010 trem <trem@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 567759
- update to 1.1.1

* Tue Apr 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 532019
- update to 1.1.0
- update file list

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 500816
- update to new version 1.0.0

* Tue Dec 01 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2010.1
+ Revision: 472299
- new version 0.9.3

* Mon Oct 05 2009 trem <trem@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 454253
- update to 0.9.2

* Fri Jul 31 2009 Jani Välimaa <wally@mandriva.org> 0.9.1-2mdv2010.0
+ Revision: 405007
- require rsync
- update summary and description
- fix icons
- new system menu location (upstream)
- update package group

* Sat Jun 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 389883
- Update to new version 0.9.1
- SPEC file clean-up
- Don't disable -Werror=format-security CFLAG

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.0-1mdv2010.0
+ Revision: 385185
- BuildRequires: intltool
- Update to new version 0.9.0

* Sun Jan 25 2009 trem <trem@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 333480
- update to 0.6.2
- add define Werror_cflags %%nil to compile

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.6.1-3mdv2009.0
+ Revision: 246646
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 119761
- New release 0.6.1

* Wed Jul 25 2007 trem <trem@mandriva.org> 0.6-1mdv2008.0
+ Revision: 55538
- new release 0.6


* Fri Jan 26 2007 Lenny Cartier <lenny@mandriva.com> 0.5.2-3mdv2007.0
+ Revision: 113730
- Buildrequires
- Buildrequires
- Update to 0.5.2
- Import grsync

* Fri Aug 18 2006 trem <trem@mandriva.org> 0.5-1mdv2007.0
- New release 0.5

* Mon Aug 07 2006 trem <trem@mandriva.org> 0.4.3-2mdv2007.0
- Migration to XDG menu (was not added in 0.4.3-1mdk)

* Mon Aug 07 2006 trem <trem@mandriva.org> 0.4.3-1mdk
- New release 0.4.3
- Migration to XDG menu

* Sun May 21 2006 trem <trem@mandriva.org> 0.4.2-1mdk
- New release 0.4.2

* Wed May 10 2006 trem <trem@mandriva.org> 0.4.1-3mdk
- Remove %%{_desktopdir} macro (not a standard macro)

* Fri May 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.1-2mdk
- Add BuildRequires

* Wed May 03 2006 trem <trem@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Mon May 01 2006 trem <trem@mandriva.org> 0.4-1mdk
- New release 0.4

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-3mdk
- Fix BuildRequires

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Wed Apr 12 2006 trem <trem@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Mon Feb 27 2006 trem <trem@mandriva.org> 0.3-1mdk
- New release 0.3

* Tue Feb 14 2006 Jerome Soyer <saispo@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Thu Jan 12 2006 <trem@mandriva.org> 0.2-1mdk
- Initial build.

